freemarker.template.utility

## Class DateUtil.TrivialDateToISO8601CalendarFactory

- java.lang.Object
- - freemarker.template.utility.DateUtil.TrivialDateToISO8601CalendarFactory

All Implemented Interfaces:
  DateUtil.DateToISO8601CalendarFactory

Enclosing class:
  DateUtil

    public static final class DateUtil.TrivialDateToISO8601CalendarFactory
    extends Object
    implements DateUtil.DateToISO8601CalendarFactory

Non-thread-safe factory that hard-references a calendar internally.

### Constructor Summary

Constructors
Constructor and Description
`TrivialDateToISO8601CalendarFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GregorianCalendar` `get(TimeZone tz, Date date)` Returns a `GregorianCalendar` with the desired time zone and time and US locale.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrivialDateToISO8601CalendarFactory

    public TrivialDateToISO8601CalendarFactory()

### Method Detail

#### get

    public GregorianCalendar get(TimeZone tz,
                                 Date date)

Description copied from interface: `DateUtil.DateToISO8601CalendarFactory`
Returns a `GregorianCalendar` with the desired time zone and time and US locale. The returned calendar is used as read-only. It must be guaranteed that within a thread the instance returned last time is not in use anymore when this method is called again.

Specified by:
  `get` in interface `DateUtil.DateToISO8601CalendarFactory`